ISBLANK(3)

NAME
isblank - space or tab character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isblank(int c);

DESCRIPTION
The isblank() function tests for a space or tab character. For any locale, this includes the following standard characters:

``\t'' | `` ''

In the "C" locale isblank() successful test is limited to this characters only. For single C chars locales (see multibyte(3)) the value of the argument is representable as an unsigned char or the value of EOF.

COMPATIBILITY
Although isblank() accepts arguments outside of the range of the unsigned char type in locales with large character sets, this is a 4.4BSD extension and the iswblank() function should be used instead for maximum portability.

RETURN VALUES
The isblank() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), iswblank(3), multibyte(3), ascii(7)

STANDARDS
The isblank() function conforms to isoC-99.